using System;

internal sealed class Delegate87 : MulticastDelegate
{
	public extern string Invoke();

	public static string smethod_0(Delegate87 delegate87_1)
	{
		return delegate87_1();
	}

	public extern Delegate87(object object_0, IntPtr intptr_0);

	static Delegate87()
	{
		Class10.smethod_13(typeof(Delegate87).TypeHandle);
	}

	internal static Delegate87 delegate87_0;
}
